<?php
///////////////////////////////
//автор - figura             //
//сайт - http://f-pt.ru  //
///////////////////////////////

include("../sistem/cfg.dat");
$mem_teme = $teme;
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");
//echo'<div class="razd"><B>ПАНЕЛЬ АДМИНИСТРАТОРА</B></div>';
if($status=="admin")
   {
      if(empty($act)){$act="index";}
      if($act=="index")
      {
         echo'<div class="razd">Настройки системы</div>';
         echo'<form name="forma" action="sistem.php?'.SID.'" method="post">';
         echo'<INPUT TYPE="hidden" NAME="act" VALUE="addsistem">';
         echo'Тема<br>';
         echo'<SELECT NAME="nteme">';
         echo'<OPTION VALUE="'.$mem_teme.'" selected>'.$mem_teme.'';
         $dir = opendir ("../temes");
         while ( $file = readdir ($dir))
         {
            if(( $file != ".") && ($file != "..") && ($file != $mem_teme))
            {
               echo '<OPTION VALUE="'.$file.'">'.$file.'';
            }
         }
         closedir ($dir);
         echo'</SELECT><br><br>';
         
         
         
         echo'Титул всех страниц<br>';
         echo'<input type="text" name="new_cfg_title" value="'.$title.'" size="10" maxlength="99"><br><br>';
         
         
         
         echo'Заголовок всех страниц<br>';
         echo'<input type="text" name="new_cfg_zagolovok" value="'.$zagolovok.'" size="10" maxlength="99"><br><br>';
         
         
         
         echo'Дата и время на главной<br>';
         echo'<SELECT NAME="new_cfg_data_time">';
         if($data_time == "on")
         {
            echo'<OPTION VALUE="on" selected>Вкл';
            echo'<OPTION VALUE="oof">Выкл';
         }else
         {
            
            echo'<OPTION VALUE="oof" selected>Выкл';
            echo'<OPTION VALUE="on">Вкл';
         }
         echo'</SELECT><br><br>';
         
         
         
         echo'Выводить последнюю новость на главную<br>';
         echo'<SELECT NAME="new_cfg_news_in_index">';
         if($news_in_index == "on")
         {
            echo'<OPTION VALUE="on" selected>Вкл';
            echo'<OPTION VALUE="oof">Выкл';
         }else
         {
            echo'<OPTION VALUE="oof" selected>Выкл';
            echo'<OPTION VALUE="on">Вкл';
         }
         echo'</SELECT><br><br>';
         
         
         
         echo'Скачивать файлы могут:<br>';
         echo'<SELECT NAME="new_cfg_load_file">';
         if($load_file == "on")
         {
            echo'<OPTION VALUE="on" selected>только авторизированные';
            echo'<OPTION VALUE="oof">все';
         }else
         {
            echo'<OPTION VALUE="oof" selected>все';
            echo'<OPTION VALUE="on">только авторизированные';
         }
         echo'</SELECT><br><br>';
         
         
         
         echo'Писать в гостевой могут:<br>';
         echo'<SELECT NAME="new_cfg_gb_avt">';
         if($gb_avt == "on")
         {
            echo'<OPTION VALUE="on" selected>только авторизированные';
            echo'<OPTION VALUE="oof">все';
         }else
         {
            echo'<OPTION VALUE="oof" selected>все';
            echo'<OPTION VALUE="on">только авторизированные';
         }
         echo'</SELECT><br><br>';
         
         
         
         echo'Количество сообщений на страницу в гостевой<br>';
         echo'<input type="text" name="new_cfg_navgb" value="'.$navgb.'" size="10" maxlength="2"><br><br>';
         
         
         
         echo'Количество сообщений на страницу в чате<br>';
         echo'<input type="text" name="new_cfg_navchat" value="'.$navchat.'" size="10" maxlength="2"><br><br>';
         
         
         
         echo'Количество новостей на страницу<br>';
         echo'<input type="text" name="new_cfg_navnews" value="'.$navnews.'" size="10" maxlength="2"><br><br>';
         
         
         
         echo'Количество файлов на страницу в загрузцентре<br>';
         echo'<input type="text" name="new_cfg_nav_dounload" value="'.$nav_dounload.'" size="10" maxlength="2"><br><br>';
         
         
         
         echo'Количество слов на страницу в статьях<br>';
         echo'<input type="text" name="new_cfg_nav_slov_in_lib" value="'.$nav_slov_in_lib.'" size="10" maxlength="4"><br><br>';
         
         
         echo'Время активации акаунта<br>';
         echo'<font size="1">Введите в секундах, сколько времени будет активироватся акаунт. Если введёте "0", то это будет означать, что сайт будет доступен юзеру сразу после регистрации.</font><br>';
         echo'<input type="text" name="new_cfg_time_aktiv" value="'.$time_aktiv.'" size="10" maxlength="10"><br><br>';
         
         
         echo'Степень gzip сжатия<br>';
         echo'<font size="1">Введите число от 0 до 9. Если введёте "0", то это будет означать, что сжатие выключено. Внимание, не рекомендуется ставить сжатие больше 5, т.к. выйгрыша сжатия мало, а нагрузка большая!</font><br>';
         echo'<input type="text" name="new_cfg_step_gzip" value="'.$step_gzip.'" size="10" maxlength="1"><br><br>';
         
         echo'Копирайт внизу<br>';
         echo'<input type="text" name="new_cfg_copir" value="'.$copir.'" size="10" maxlength="20"><br><br>';
         
         echo'URL копирайта<br>';
         echo'<input type="text" name="new_cfg_url_copir" value="'.$url_copir.'" size="10" maxlength="20"><br><br>';
         
         echo'<input type="submit" name="" value="сохранить"><br>';
         echo'</form>';
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
      
      if($act=="addsistem"){
      	  if(isset($_POST['nteme'])){$nteme = $_POST['nteme'];}
      	  if(isset($_POST['new_cfg_title'])){$new_cfg_title = $_POST['new_cfg_title'];}
      	  if(isset($_POST['new_cfg_zagolovok'])){$new_cfg_zagolovok = $_POST['new_cfg_zagolovok'];}
      	  if(isset($_POST['new_cfg_copir'])){$new_cfg_copir = $_POST['new_cfg_copir'];}
      	  if(isset($_POST['new_cfg_url_copir'])){$new_cfg_url_copir = $_POST['new_cfg_url_copir'];}
      	  if(isset($_POST['new_cfg_data_time'])){$new_cfg_data_time = $_POST['new_cfg_data_time'];}
      	  
      	  if(isset($_POST['new_cfg_news_in_index'])){$new_cfg_news_in_index = $_POST['new_cfg_news_in_index'];}
      	  
      	  if(isset($_POST['new_cfg_load_file'])){$new_cfg_load_file = $_POST['new_cfg_load_file'];}
      	  
      	  if(isset($_POST['new_cfg_gb_avt'])){$new_cfg_gb_avt = $_POST['new_cfg_gb_avt'];}
      	  
      	  if(isset($_POST['new_cfg_navgb'])){$new_cfg_navgb = $_POST['new_cfg_navgb'];}
      	  if(isset($_POST['new_cfg_navchat'])){$new_cfg_navchat = $_POST['new_cfg_navchat'];}
      	  if(isset($_POST['new_cfg_navnews'])){$new_cfg_navnews = $_POST['new_cfg_navnews'];}
      	  
      	  if(isset($_POST['new_cfg_nav_dounload'])){$new_cfg_nav_dounload = $_POST['new_cfg_nav_dounload'];}
      	  if(isset($_POST['new_cfg_nav_slov_in_lib'])){$new_cfg_nav_slov_in_lib = $_POST['new_cfg_nav_slov_in_lib'];}
      	  
      	  if(isset($_POST['new_cfg_time_aktiv'])){$new_cfg_time_aktiv = $_POST['new_cfg_time_aktiv'];}
      	  
      	  if(isset($_POST['new_cfg_step_gzip'])){$new_cfg_step_gzip = $_POST['new_cfg_step_gzip'];}
      	  
      	  if(  ($nteme=="") ||
      	  	   
      	  	   ($new_cfg_title=="") ||
      	  	   ($new_cfg_zagolovok=="") ||
      	  	   ($new_cfg_copir=="") ||
      	  	   ($new_cfg_url_copir=="") ||
      	  	   
      	  	   ($new_cfg_data_time !="on") && ($new_cfg_data_time !="oof") ||
      	  	   ($new_cfg_news_in_index !="on") && ($new_cfg_news_in_index !="oof") ||
      	  	   ($new_cfg_load_file !="on") && ($new_cfg_load_file !="oof") ||
      	  	   ($new_cfg_gb_avt !="on") && ($new_cfg_gb_avt !="oof") ||
      	  	   
      	  	   ($new_cfg_navgb == "") || (eregi("[^0-9]" , $new_cfg_navgb )) ||
      	  	   ($new_cfg_navchat == "") || (eregi("[^0-9]" , $new_cfg_navchat )) ||
      	  	   ($new_cfg_navnews == "") || (eregi("[^0-9]" , $new_cfg_navnews )) ||
      	  	   
      	  	   ($new_cfg_nav_dounload == "") || (eregi("[^0-9]" , $new_cfg_nav_dounload )) ||
      	  	   ($new_cfg_nav_slov_in_lib == "") || (eregi("[^0-9]" , $new_cfg_nav_slov_in_lib )) ||
      	  	   
      	  	   ($new_cfg_time_aktiv == "") || (eregi("[^0-9]" , $new_cfg_time_aktiv )) ||
      	  	   
      	  	   ($new_cfg_step_gzip == "") || (eregi("[^0-9]" , $new_cfg_step_gzip ))
      	  	   )
      	  	   {
      	  	      echo'<div class="razd"><B>Ошибка!!!</B></div>';
      	  	      echo'Не все поля из формы заполнены. Не хватает некоторых важных настроек!';
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="index.php?'.SID.'">Назад</a><br>';
      	  	   }else{
      	  	      //фильтруем переменные
      	  	      $nteme=htmlspecialchars($nteme);
      	  	      
      	  	      $new_cfg_title=htmlspecialchars($new_cfg_title);
      	  	      $new_cfg_zagolovok=htmlspecialchars($new_cfg_zagolovok);
      	  	      $new_cfg_data_time=htmlspecialchars($new_cfg_data_time);
      	  	      
      	  	      $new_cfg_news_in_index=htmlspecialchars($new_cfg_news_in_index);
      	  	      
      	  	      $new_cfg_load_file=htmlspecialchars($new_cfg_load_file);
      	  	      
      	  	      $new_cfg_gb_avt=htmlspecialchars($new_cfg_gb_avt);
      	  	      
      	  	      $new_cfg_copir=htmlspecialchars($new_cfg_copir);
      	  	      $new_cfg_url_copir=htmlspecialchars($new_cfg_url_copir);
      	  	      
      	  	      $new_cfg_navgb=htmlspecialchars($new_cfg_navgb);
      	  	      $new_cfg_navchat=htmlspecialchars($new_cfg_navchat);
      	  	      $new_cfg_navnews=htmlspecialchars($new_cfg_navnews);
      	  	      
      	  	      $new_cfg_nav_dounload=htmlspecialchars($new_cfg_nav_dounload);
      	  	      $new_cfg_nav_slov_in_lib=htmlspecialchars($new_cfg_nav_slov_in_lib);
      	  	      
      	  	      $new_cfg_time_aktiv=htmlspecialchars($new_cfg_time_aktiv);
      	  	      
      	  	      $new_cfg_step_gzip=htmlspecialchars($new_cfg_step_gzip);
      	  	      
      	  	      
      	  	      
$kod='<?php
$teme="'.$nteme.'";//выбранная тема
$title="'.$new_cfg_title.'";//титул
$zagolovok="'.$new_cfg_zagolovok.'";//заголовок
$data_time="'.$new_cfg_data_time.'";//дата и время
$news_in_index="'.$new_cfg_news_in_index.'";//Выводить последнюю новость на главную
$navgb="'.$new_cfg_navgb.'";//сообшений на страницу в гостевой
$navchat="'.$new_cfg_navchat.'";//сообшений на страницу в чате
$navnews="'.$new_cfg_navnews.'";//новостей на страницу
$nav_dounload="'.$new_cfg_nav_dounload.'";//файлов на страницу
$nav_slov_in_lib="'.$new_cfg_nav_slov_in_lib.'";//слов на страницу в новостях
$time_aktiv="'.$new_cfg_time_aktiv.'";//время активации
$load_file="'.$new_cfg_load_file.'";//скачивание файлов только для авторизированных
$gb_avt="'.$new_cfg_gb_avt.'";//писать в гостевой могут только авторизированные
$step_gzip="'.$new_cfg_step_gzip.'";//Степень сжатия страниц
$copir="'.$new_cfg_copir.'";//копирайт
$url_copir="'.$new_cfg_url_copir.'";//url копирайта
?>';
      	  	      
      	  	      $filecfg = fopen("../sistem/cfg.dat", "w+");
      	  	      flock ($filecfg,LOCK_EX);
      	  	      fputs($filecfg,$kod);
      	  	      flock ($filecfg,LOCK_UN);
      	  	      fclose($filecfg);
      	  	      @chmod("../sistem/cfg.dat", 0666);
      	  	      
      	  	      echo'<div class="razd"><B>Сохранено!!!</B></div>';
      	  	      echo'Все новые настройки сохранены';
      	  	      
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="index.php?'.SID.'">В меню</a><br>';
      	  	   }
      	  
      }
   }else{
//session_destroy();
echo'<div class="razd">Вам сюда нельзя</div>';
echo'Нужны права администратора';
echo'<hr size="2" width="100%">';

}




echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>